Subject: Re: bug#27584: 26.0.50; alist-get: Add optional arg TESTFN

From: Nicolas Petton <[email-masked]>
Date: Fri, 07 Jul 2017 10:09:50 +0200

Tino Calancha <[email-masked]> writes:

> Nico, one thing worries me is the following:
> * After this patch, `map.el' v1.2 depends on Emacs version > 25:
> * because it makes a call to `alist-get' with 5 parameters i.e., it
>   uses TESTFN.
> Is that a problem?

map.el is not distributed outside of Emacs, so it shouldn't be a
problem.

I plan to do a more or less complete rewrite of map.el based on the same
design I used in the rewrite of seq.el (using methods for dispatching).
Maybe then I'll distribute it in GNU ELPA as well, but that's something
to worry about later, and we can always find solutions :)

Cheers,
Nico